# Module: Concurrent::Actor::Utils::AsAdHoc

Included in:
  AdHoc

Defined in:
  lib-edge/concurrent/actor/utils/ad_hoc.rb

## Instance Method Summary collapse

- #initialize(*args, &initializer) ⇒ undocumented
- #on_message(message) ⇒ undocumented

## Instance Method Details

### #initialize(*args, &initializer) ⇒ `undocumented`

    6
    7
    8

    # File 'lib-edge/concurrent/actor/utils/ad_hoc.rb', line 6

    def initialize(*args, &initializer)
      @on_message = Type! initializer.call(*args), Proc
    end

### #on_message(message) ⇒ `undocumented`

    10
    11
    12

    # File 'lib-edge/concurrent/actor/utils/ad_hoc.rb', line 10

    def on_message(message)
      instance_exec message, &@on_message
    end